Yamagi Quake II

Install latest/stable of Yamagi Quake II

Ubuntu 16.04 or later?

Make sure snap support is enabled in your Desktop store.


Install using the command line

sudo snap install yamagi-quake2-beidl

Don't have snapd? Get set up for snaps.

Channel Version Published

An enhanced version of id Software's Quake II.

Note: This package only provides the engine, you need a valid copy of the (proprietary) game data to launch the game.

This is the Yamagi Quake II Client, an enhanced version of id Software's Quake II with focus on offline and coop gameplay. Both the gameplay and the graphics are unchanged, but many bugs if the last official release were fixed and some nice to have features like widescreen support and a modern OpenGL 3.2 renderer were added. Unlike most other Quake II source ports Yamagi Quake II is fully 64 bit clean. It works perfectly on modern processors and operating systems. Yamagi Quake II runs on nearly all common platforms; including FreeBSD, Linux, OpenBSD, Windows and OS X.

This code is build upon Icculus Quake II, which itself is based on Quake II 3.21. Yamagi Quake II is released under the terms of the GPL version 2.

Note to snap packagers: Additionally, other snaps can consume its content via a content interface plug. Consuming snaps could use following snapcraft.yaml snippet to add the interface.

plugs: quake2-engine: content: quake2-engine interface: content target: $SNAP/quake2-engine default-provider: yamagi-quake2-beidl:quake2-engine

Within the consuming snap the content would be exposed at "$SNAP/quake2-engine", ie: /snap/the-consuming-snap/current/quake2-engine /var/lib/snapd/snap/the-consuming-snap/current/quake2-engine

Under certain circumstances it could be necessary to manually connect the interface, ie: snap connect the-consuming-snap:quake2-engine yamagi-quake2-beidl:quake2-engine

Details for Yamagi Quake II

License
  • GPL-2.0

Last updated
  • 18 November 2023 - latest/stable
  • 25 April 2024 - latest/edge

Websites

Contact

Share this snap

Generate an embeddable card to be shared on external websites.


Install Yamagi Quake II on your Linux distribution

Choose your Linux distribution to get detailed installation instructions. If yours is not shown, get more details on the installing snapd documentation.

Is there a problem with Yamagi Quake II? Report this app